this is <README>
============================================================================
Thies DL1 data acquisition program
============================================================================

This is a collection of code that supports serial line access to the Thies
DL1 precipitation data logger.

The binary executables are:
DL1logger: provides continuous data acquisition and data logger control
DL1direct: provides means for manual interaction with the Thies DL1 data
           logger

The binary executables support online help options. Just call the
programs without any option to get a hint.

============================================================================

Installation:

This software is part of the project Seitosh. See
https://gitlab.kit.edu/kit/thomas.forbriger/seitosh/seitosh
for general installation instructions.

The Makefile supports program compilation and linking. Some binary libraries
are required. 

The command
  make all
will compile and install the binary executables as well as the doxygen
documentation.

Environment variables control where the results are stored and where
libraries and library header files are expected:
  LOCLIBDIR           defines location of binary libraries
  LOCINCLUDEDIR       defines location of C/C++ header files (prototypes)
  LOCBINDIR           defines location of binary executables
  TF_WWWBASEDIR       defines location of doxygen output

Dependencies:
  Compilers required to build the programs:
    C++ compiler
    C/C++ preprocessor
    doxygen (required to process source code documentation)
  
  Seitosh libraries required to compile the code:
    libaff
    libdatrwxx
    libgsexx
    libserialxx
    libsffxx
    libtfxx
    libtime++

  Static versions of the system libraries libc and libm are required, since
  the binary executables are not linked against dynamic libraries by default.
  This default is selected, since operation of the data acquisition program
  shall be stable even if the environment for the dynamic linker is not
  configured properly for commands being run by cron.

  See also README.dependencies (provided in the tar-ball)

============================================================================

The home of this software suite is 
https://gitlab.kit.edu/kit/thomas.forbriger/seitosh/seitosh

Please send bug reports and suggestions to
Thomas.Forbriger@kit.edu

----- END OF README ----- 
